package addressparam

import "git.gocasts.ir/ebhomengo/niki/entity"

type GetAddressByIDRequest struct {
	ID uint
}
type GetAddressByIDResponse struct {
	Address entity.Address
}

type GetAddressRequest struct {
	BenefactorID uint
	AddressID    uint
}
type GetAddressResponse struct {
	Address     entity.Address    `json:"address"`
	FieldErrors map[string]string `json:"field_errors,omitempty"`
}
